Bug 27485 - Rename system preference gist to TaxRates
Summary: Rename system preference gist to TaxRates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 10327
  Show dependency treegraph
 
Reported: 2021-01-20 03:03 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27485: Rename system preference gist to TaxRates (11.55 KB, patch)
2021-01-20 21:27 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27485: Rename system preference gist to TaxRates (11.61 KB, patch)
2021-01-21 23:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27485: Rename system preference gist to TaxRates (11.71 KB, patch)
2021-01-22 08:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 03:03:53 UTC
find all of the places in the code that refer to the 'gist' system preference and rename them to 'TaxRates'
write an atomic update to rename the gist system preference to TaxRates in the preferences table in the database
rename the gist syspref in sysprefs.sql

refer to bug 10328 for an example
Comment 1 Mazen Khallaf 2021-01-20 21:27:17 UTC
Created attachment 115462 [details] [review]
Bug 27485: Rename system preference gist to TaxRates

Test Plan:

1. Create a vendor
2. Create a basket
3. Add an order to the basket (note the existence of the option 'gist'
4  Apply patch
5. Create another order (note the existence of the option 'TaxRates'
    instead)
6. Run 'prove t/Prices.t' to confirm the tests were successful
7. If everything above is correct then patch was successful
Comment 2 Katrin Fischer 2021-01-21 23:12:18 UTC
Created attachment 115644 [details] [review]
Bug 27485: Rename system preference gist to TaxRates

Test Plan:

1. Create a vendor
2. Create a basket
3. Add an order to the basket (note the existence of the option 'gist'
4  Apply patch
5. Create another order (note the existence of the option 'TaxRates'
    instead)
6. Run 'prove t/Prices.t' to confirm the tests were successful
7. If everything above is correct then patch was successful

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2021-01-21 23:12:50 UTC
As hard as I tried, I couldn't find any remaining gist!
Comment 4 Marcel de Rooy 2021-01-22 08:18:03 UTC
QA: Looking here
Comment 5 Marcel de Rooy 2021-01-22 08:42:01 UTC
Created attachment 115665 [details] [review]
Bug 27485: Rename system preference gist to TaxRates

Test Plan:

1. Create a vendor
2. Create a basket
3. Add an order to the basket (note the existence of the option 'gist'
4  Apply patch
5. Create another order (note the existence of the option 'TaxRates'
    instead)
6. Run 'prove t/Prices.t' to confirm the tests were successful
7. If everything above is correct then patch was successful

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2021-01-22 08:42:42 UTC
Great Mazen. The name of this pref was one of the most confusing in Koha for a long time.
Comment 7 Jonathan Druart 2021-01-22 13:54:55 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-01-29 13:30:12 UTC
Enhancement not pushed to 20.11.x